=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre650-0ubuntu24.10.0+35) oracular; urgency=low

  * Automated git build for f49d49cec5ebe9c06b46083a275a39b517f8aa75
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 08 Nov 2025 14:14:32 +0100
