## tdebase-trinity 14.2.0~pre654

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre654-0debian14.0.0+33~a) forky; urgency=low

  * Automated git build for 3ae8950abe987cc4e3a0b627102cfc43ad4608af
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Nov 2025 10:33:53 +0100
