## tdebase-trinity 14.2.0~pre656

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre656-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for da268e0096de2dbe2e03ff39ef9e64b260258d0b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 12:41:41 +0100
