## tdebase-trinity 14.2.0~pre661

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre661-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 9f7c5ac83dda02d33fb101b560a46f12c4630a30
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:41 +0100
