## tdebase-trinity 14.2.0~pre662

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre662-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for e2bdf9f27937fd28127ad840077ed2c87449ba7d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 27 Dec 2025 16:00:53 +0100
