## tdebase-trinity 14.2.0~pre664

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre664-0ubuntu24.10.0+36) oracular; urgency=low

  * Automated git build for 797db50eff718cfbbf698adc868d56c63cadb76e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:11:58 +0100
