## tdebase-trinity 14.2.0~pre675

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre675-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for e6c30469e4c7a09517a493ede0e4fcb3a00372f6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 07 Jan 2026 23:36:09 +0100
