## tdebase-trinity 14.2.0~pre679

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre679-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for a433105e8dbba2231fb611d4514f9c66f0e99494
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 11:32:14 +0100
