## tdebase-trinity 14.2.0~pre680

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre680-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 2bfd51f24b57f70a5a0a6df0312a25bf4fc599d2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 19 Jan 2026 15:47:28 +0100
