## tdebase-trinity 14.2.0~pre687

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre687-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 611d3ad10359d515b4210eb1ee3032c0cacec7e2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 09 Feb 2026 01:55:35 +0100
