## tdebase-trinity 14.2.0~pre688

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre688-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 19d67b5bbe39b9ea04fd9f589049cc08ef48dbca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 11 Feb 2026 09:49:23 +0100
