=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre706-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 69126986b785ab124456266e63331bf230358fba
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 10:00:27 +0100
