## tdebase-trinity 14.2.0~pre714

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre714-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 7cb5d96dd439bb7b88f9678e8b095c57fcf40a75
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 19:51:37 +0100
