=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre715-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 363de72d1cbdf64fe99afa9d61fbb98d103f8fbb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 12:32:45 +0100
